Retrieve billable services

This endpoint returns a detailed list of available billable services and clients for a given contract and timeframe.

Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…

Response structure

ParameterDescriptionSupported values
PSA Billable servicesA group pf parameters related to the PSA Billing servicesPSA Billable services (has child objects of its own see the PSA Billable services child objects table below)

PSA Billable Services child objects

ParameterDescriptionSupported values
AccountNameThe name of the account<std::string>
BpAccountIdThe unique identifier for the Bp Account<int> Integer
CidCID, part of the contract number<int> Integer
ContractNumberThe number of the contract<std::string>
ContractStatusThe status of the contract<std::string>
CreatedRecord creation date<datetime>
SfdcAccountIdSalesforce Account ID for the requesting MSP<std::string>
TenantIdThe ID of the tenant<int> Integer
TimeFrameThe billing period in YYYYMM format<std::string>
UpdatedLast update date<datetime>
BillingServiceNameThe name of the Billing serviceBilling Services (has child objects of its own see the Billing services child objects table below)

Billing services child objects

ParameterDescriptionSupported values
ProductFeatureNameThe feature name of the product<std::string>
SkuStock keeping unit<std::string>
UomUnits of measurement<std::string>
ClientsThe client parametersClients (has child objects of its own see the Clients child objects table below)

Clients child objects

ParameterDescriptionSupported values
ClientIdThe unique identifier for the client<int> Integer
NameThe name of the client<std::string>

Sample response

{
    "AccountName": "Best MSP",
    "BpAccountId": 123467,
    "Cid": "789012",
    "ContractNumber": "123678-USD-01",
    "ContractStatus": "ACTIVE",
    "Created": "2024-02-09T15:04:06",
    "SfdcAccountId": "001H234578asdfIAS",
    "TimeFrame": 202409,
    "Updated": "2024-11-28T01:25:30",
    "Billable Services": [
        {
            "BillingServiceName": "Cove Data Protection | Additional Capacity",
            "ProductFeatureName": "0100_ADDITIONAL_CAPACITY",
            "Sku": "MSPUK-BU-AC",
            "Uom": "GB"
        },
        {...}
    ],
    "Clients": [
        {
            "ClientId": "",
            "Name": ""
        },
        {...}
    ]
}

Possible errors

{
    "message": "Unauthorized",
    "http_status_code": 401
}
🚧

The above error is 401 unauthorized: Check that you have entered your MSPID and API key correctly.

📘

If the response only returns account data without a billable services or clients array, the contract ID or timeframe submitted may be invalid.

Path Params
string
required

Unique identifier for the contract. Example: '31233'.

string
required

The billing period in YYYYMM format. Example: '202401'.

string
required

Salesforce account ID for the requesting MSP. Example: '001Hs99902zVlkLIAS'.

Headers
string
required

API key for authorisation.

string
enum
Defaults to application/json

Generated from available response content types

Allowed:
Responses

Language
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json
*/*